User talk:Quequotion/Pantheon

From ArchWiki
Jump to navigation Jump to search

Installation

Phase one is to re-write the "Installation" section to advise only "stable release" pantheon-centric applications. quequotion (talk) 02:29, 1 December 2019 (UTC)

Desktop Environment

pantheon-sessionAUR and three of its dependencies (galaAUR, wingpanelAUR, and pantheon-applications-menuAUR) are not available from [community] and pantheon-session in the AUR may differ from pantheon-session in [extra-alucryd]. It would help if we could convince the elementary OS devs to make a new release tag for gala; upstream is trying to keep up with mutter. quequotion (talk) 15:44, 30 November 2019 (UTC)

Services and Configuration

pantheon-default-settingsAUR and one of its dependencies, gtk-theme-elementaryAUR, are not available from [community]. Not sure what holds back the theme package.

pantheon-dpms-helper does not have gnome-settings-daemon-elementaryAUR in depends(). Without this (doubly) patched version of gsd, this--and the related switchboard panel and wingpanel indicator--do not provide the advertised monitor suspension service. On the other hand, it is not likely that gsd-e could make the cut for [community]. quequotion (talk) 16:23, 30 November 2019 (UTC)

Applications

This subsection is the most out of date. Most of the work to do here is removing references to unstable development packages. Some packages are not available from [community]; epiphany-pantheonAUR is unlikely to make the cut, but is gradually becoming redundant. quequotion (talk) 17:08, 30 November 2019 (UTC)

Phase two (use stable releases in subsequent sections)

Launching Pantheon

Use of gdm is not supported in elementary OS, which uses lightdm. This section needs style fixes as well (links in subsection headings, etc.) quequotion (talk) 02:52, 1 December 2019 (UTC)

Configuration

This information could be out of date; it was written before the release of elementary OS Juno, when the "stable release" packages were a full release behind the upstream development packages. If all the applicable packages have a Juno or later release available, much of this can be improved and simplified. quequotion (talk) 02:52, 1 December 2019 (UTC)

Known Issues

Same as above; need to review the packages and instructions here. The two issues listed are primarily for non-standard "pantheon" desktops. quequotion (talk) 02:52, 1 December 2019 (UTC)